## tracker-file-utils

tracker-file-utils

## Synopsis

    FILE*               tracker_file_open                   (const gchar *uri,
                                                             const gchar *how,
                                                             gboolean sequential);
    void                tracker_file_close                  (FILE *file,
                                                             gboolean need_again_soon);
    goffset             tracker_file_get_size               (const gchar *uri);
    guint64             tracker_file_get_mtime              (const gchar *uri);
    gchar *             tracker_file_get_mime_type          (GFile *file);
    gboolean            tracker_file_system_has_enough_space
                                                            (const gchar *path,
                                                             gulong required_bytes,
                                                             gboolean creating_db);
    gboolean            tracker_file_is_locked              (GFile *file);
    gboolean            tracker_file_lock                   (GFile *file);
    gboolean            tracker_file_unlock                 (GFile *file);
    gboolean            tracker_path_is_in_path             (const gchar *path,
                                                             const gchar *in_path);
    gboolean            tracker_path_has_write_access_or_was_created
                                                            (const gchar *path);
    GSList *            tracker_path_list_filter_duplicates (GSList *roots,
                                                             const gchar *basename_exception_prefix,
                                                             gboolean is_recursive);
    gchar *             tracker_path_evaluate_name          (const gchar *uri);
    gboolean            tracker_env_check_xdg_dirs          (void);

## Description

## Details

### tracker_file_open ()

    FILE*               tracker_file_open                   (const gchar *uri,
                                                             const gchar *how,
                                                             gboolean sequential);

`uri` : |
`how` : |
`sequential` : |
Returns : |

### tracker_file_close ()

    void                tracker_file_close                  (FILE *file,
                                                             gboolean need_again_soon);

`file` : |
`need_again_soon` : |

### tracker_file_get_size ()

    goffset             tracker_file_get_size               (const gchar *uri);

`uri` : |
Returns : |

### tracker_file_get_mtime ()

    guint64             tracker_file_get_mtime              (const gchar *uri);

`uri` : |
Returns : |

### tracker_file_get_mime_type ()

    gchar *             tracker_file_get_mime_type          (GFile *file);

`file` : |
Returns : |

### tracker_file_system_has_enough_space ()

    gboolean            tracker_file_system_has_enough_space
                                                            (const gchar *path,
                                                             gulong required_bytes,
                                                             gboolean creating_db);

`path` : |
`required_bytes` : |
`creating_db` : |
Returns : |

### tracker_file_is_locked ()

    gboolean            tracker_file_is_locked              (GFile *file);

`file` : |
Returns : |

### tracker_file_lock ()

    gboolean            tracker_file_lock                   (GFile *file);

`file` : |
Returns : |

### tracker_file_unlock ()

    gboolean            tracker_file_unlock                 (GFile *file);

`file` : |
Returns : |

### tracker_path_is_in_path ()

    gboolean            tracker_path_is_in_path             (const gchar *path,
                                                             const gchar *in_path);

`path` : |
`in_path` : |
Returns : |

### tracker_path_has_write_access_or_was_created ()

    gboolean            tracker_path_has_write_access_or_was_created
                                                            (const gchar *path);

`path` : |
Returns : |

### tracker_path_list_filter_duplicates ()

    GSList *            tracker_path_list_filter_duplicates (GSList *roots,
                                                             const gchar *basename_exception_prefix,
                                                             gboolean is_recursive);

`roots` : |
`basename_exception_prefix` : |
`is_recursive` : |
Returns : |

### tracker_path_evaluate_name ()

    gchar *             tracker_path_evaluate_name          (const gchar *uri);

`uri` : |
Returns : |

### tracker_env_check_xdg_dirs ()

    gboolean            tracker_env_check_xdg_dirs          (void);

Returns : |